/*! \file   include/rom/registers.h
    \brief  registers cached by ROM functions
    \author Markus L. Noga <noga@inrialpes.fr>
*/
    
/*
 *  The contents of this file are subject to the Mozilla Public License
 *  Version 1.0 (the "License"); you may not use this file except in
 *  compliance with the License. You may obtain a copy of the License at
 *  http://www.mozilla.org/MPL/
 *
 *  Software distributed under the License is distributed on an "AS IS"
 *  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 *  License for the specific language governing rights and limitations
 *  under the License.
 *
 *  The Original Code is legOS code, released March 19, 1999.
 *
 *  The Initial Developer of the Original Code is Markus L. Noga.
 *  Portions created by Markus L. Noga are Copyright (C) 1999
 *  Markus L. Noga. All Rights Reserved.
 *
 *  Contributor(s): Markus L. Noga <noga@inrialpes.fr>
 */

#ifndef __rom_registers_h__
#define __rom_registers_h__

///////////////////////////////////////////////////////////////////////////////
//
// Definitions
//
///////////////////////////////////////////////////////////////////////////////

//! ROM-cached PORT6
/*! Port 6 is connected to both LCD and active sensor output.
    As lcd_refresh() is a ROM call, we need to update this location
    if active sensors are to remain active after a LCD refresh.
*/
#define ROM_PORT6     *((unsigned char*)0xefd5)
//! ROM-cached PORT6_DDR
#define ROM_PORT6_DDR *((unsigned char*)0xfd85)

#endif
